/* Copyright 2009 Palm, Inc.  All rights reserved. */

// act like a mojo service by taking callbacks and returning responses exactly as if the service had been invoked
// this differs from contacts-mock-service in that that one is dynamic and responds realistically, while this one
// uses static JSON responses pulled from the real service

var ContactsStaticMockService = Class.create({
    initialize: function(){
    },
    
    list: function(whoCares, filter, callback, offset, limit){
        callback(contactsListResponse);
    },
    
    details: function(id, callback){
        callback(contactsDetailsResponse);
    },
    
    detailPhoneNumbers: function(id, callback){
        callback(contactsDetailPhoneNumbersResponse);
    },
    
    detailEmails: function(id, callback){
        callback(contactsDetailEmailsResponse);
    },
    
    detailIMNames: function(id, callback){
        callback(contactsDetailIMNamesResponse);
    },
    
    detailAddresses: function(id, callback){
        callback(contactsDetailAddressesResponse);
    },
    
    getLinkedContacts: function(id, callback){
        callback({
            list: [],
            count: 0
        });
    }
    
});
